Ticket #42685

Editor: city shield stock modified wrongly

Open Date: 2021-07-31 16:29 Last Update: 2021-11-25 22:06

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Noticed in #42681, relates to all versions:

change only basic shields, any future change in production target within city turn resets this value - current edithand.c effect

Likely, we should change correspondingly before_change_shields. There is a field last_turns_shield_surplus in editing protocol but it is currently not used.

Ticket History (3/5 Histories)

2021-07-31 16:29 Updated by: ihnatus
  • New Ticket "Editor: city shield stock modified wrongly" created
2021-11-13 17:12 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-11-13 17:19 Updated by: cazfi
Comment

Reply To ihnatus

There is a field last_turns_shield_surplus in editing protocol but it is currently not used.

-> #43204

2021-11-25 22:06 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login